Package org.apache.storm.blobstore

# Class BlobStoreUtils

java.lang.Object
org.apache.storm.blobstore.BlobStoreUtils

public class BlobStoreUtils extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BlobStoreUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `createStateInZookeeper(Map<String,Object> conf, String key, NimbusInfo nimbusInfo)`
  `static org.apache.storm.shade.org.apache.curator.framework.CuratorFramework`
  `createZKClient(Map<String,Object> conf, DaemonType type)`
  `static boolean`
  `downloadMissingBlob(Map<String,Object> conf, BlobStore blobStore, String key, Set<NimbusInfo> nimbusInfos)`
  `static boolean`
  `downloadUpdatedBlob(Map<String,Object> conf, BlobStore blobStore, String key, Set<NimbusInfo> nimbusInfos)`
  `static String`
  `getBlobStoreSubtree()`
  `static List<String>`
  `getKeyListFromBlobStore(BlobStore blobStore)`
  `static int`
  `getLatestSequenceNumber(List<String> stateInfoList)`
  `static Set<NimbusInfo>`
  `getNimbodesWithLatestSequenceNumberOfBlob(org.apache.storm.shade.org.apache.curator.framework.CuratorFramework zkClient, String key)`
  `static Subject`
  `getNimbusSubject()`
  `static BlobKeySequenceInfo`
  `normalizeNimbusHostPortSequenceNumberInfo(String nimbusSeqNumberInfo)`
  `static void`
  `updateKeyForBlobStore(Map<String,Object> conf, BlobStore blobStore, org.apache.storm.shade.org.apache.curator.framework.CuratorFramework zkClient, String key, NimbusInfo nimbusDetails)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BlobStoreUtils

    public BlobStoreUtils()

- ## Method Details

  - ### getBlobStoreSubtree

    public static String getBlobStoreSubtree()

  - ### createZKClient

    public static org.apache.storm.shade.org.apache.curator.framework.CuratorFramework createZKClient(Map<String,Object> conf, DaemonType type)

  - ### getNimbusSubject

    public static Subject getNimbusSubject()

  - ### normalizeNimbusHostPortSequenceNumberInfo

    public static BlobKeySequenceInfo normalizeNimbusHostPortSequenceNumberInfo(String nimbusSeqNumberInfo)

  - ### getNimbodesWithLatestSequenceNumberOfBlob

    public static Set<NimbusInfo> getNimbodesWithLatestSequenceNumberOfBlob(org.apache.storm.shade.org.apache.curator.framework.CuratorFramework zkClient, String key) throws Exception
    Throws:
      `Exception`

  - ### getLatestSequenceNumber

    public static int getLatestSequenceNumber(List<String> stateInfoList)

  - ### downloadMissingBlob

    public static boolean downloadMissingBlob(Map<String,Object> conf, BlobStore blobStore, String key, Set<NimbusInfo> nimbusInfos) throws org.apache.storm.thrift.transport.TTransportException
    Throws:
      `org.apache.storm.thrift.transport.TTransportException`

  - ### downloadUpdatedBlob

    public static boolean downloadUpdatedBlob(Map<String,Object> conf, BlobStore blobStore, String key, Set<NimbusInfo> nimbusInfos) throws org.apache.storm.thrift.transport.TTransportException
    Throws:
      `org.apache.storm.thrift.transport.TTransportException`

  - ### getKeyListFromBlobStore

    public static List<String> getKeyListFromBlobStore(BlobStore blobStore) throws Exception
    Throws:
      `Exception`

  - ### createStateInZookeeper

    public static void createStateInZookeeper(Map<String,Object> conf, String key, NimbusInfo nimbusInfo) throws org.apache.storm.thrift.transport.TTransportException
    Throws:
      `org.apache.storm.thrift.transport.TTransportException`

  - ### updateKeyForBlobStore

    public static void updateKeyForBlobStore(Map<String,Object> conf, BlobStore blobStore, org.apache.storm.shade.org.apache.curator.framework.CuratorFramework zkClient, String key, NimbusInfo nimbusDetails)